## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate pyo3-build-config

Name:           rust-pyo3-build-config
Version:        0.20.1
Release:        %autorelease
Summary:        Build configuration for the PyO3 ecosystem

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pyo3-build-config
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop MSVC- and MinGW-only "python3-dll-a" dependency
Patch:          pyo3-build-config-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Build configuration for the PyO3 ecosystem.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py310-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py310-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py310" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py310-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py311-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py311-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py311" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py311-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py312-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py312-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py312" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py312-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py37-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py37-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py37" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py37-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py38-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py38-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py38" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py38-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+abi3-py39-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abi3-py39-devel %{_description}

This package contains library source intended for building other packages which
use the "abi3-py39" feature of the "%{crate}" crate.

%files       -n %{name}+abi3-py39-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extension-module-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extension-module-devel %{_description}

This package contains library source intended for building other packages which
use the "extension-module" feature of the "%{crate}" crate.

%files       -n %{name}+extension-module-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+resolve-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+resolve-config-devel %{_description}

This package contains library source intended for building other packages which
use the "resolve-config" feature of the "%{crate}" crate.

%files       -n %{name}+resolve-config-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo 'python3'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Dec 31 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-1
- Update to version 0.20.1; Fixes RHBZ#2256288

* Mon Nov 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-1
- Update to version 0.20.0; Fixes RHBZ#2243414

* Tue Aug 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.2-1
- Update to version 0.19.2; Fixes RHBZ#2228008

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.1-1
- Update to version 0.19.1; Fixes RHBZ#2211448

* Sat May 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.3-1
- Update to version 0.18.3; Fixes RHBZ#2186629

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2; Fixes RHBZ#2181650

* Sat Mar 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.1-1
- Update to version 0.18.1; Fixes RHBZ#2061100

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-1
- Update to version 0.17.3

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.6-1
- Update to version 0.16.6

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.1-1
- Update to version 0.15.1; Fixes RHBZ#2020054

* Sun Sep 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.14.5-1
- Update to version 0.14.5; Fixes RHBZ#1998824

* Sun Aug 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.14.4-1
- Update to version 0.14.4; Fixes RHBZ#1998824

* Mon Aug 23 2021 Christian Heimes <cheimes@redhat.com> - 0.14.3-1
- Upstream release 0.14.3 (rhbz#1994946)

* Wed Aug 18 2021 Christian Heimes <cheimes@redhat.com> - 0.14.2-1
- Initial package

